Skip to content

List Comments

GET
/api/canvas/{deal_id}/comments
curl --request GET \
--url 'https://example.com/api/canvas/example/comments?limit=50&offset=0' \
--header 'Authorization: Bearer <token>'

List comments for a deal, with optional section and status filters.

Phase 4: RequireViewer — all collaborators can read comments.

deal_id
required
Deal Id
string
section_key
Any of:
string
status
Any of:
string
limit
Limit
integer
default: 50
offset
Offset
integer
0

Successful Response

Media type application/json
CommentListResponse

Response from GET /canvas/{deal_id}/comments.

object
deal_id
required
Deal Id
string
comments
Comments
Array<object>
object
key
additional properties
any
count
required
Count
integer
Example generated
{
"deal_id": "example",
"comments": [
{}
],
"count": 1
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}